# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'federation/version'

Gem::Specification.new do |spec|
  spec.name          = "federation"
  spec.version       = Federation::VERSION
  spec.authors       = ["Jacob Bass"]
  spec.email         = ["jacob@jacobbass.net"]
  spec.summary       = %q{A Federated collection of my interests}
  spec.homepage      = "http://jacobbass.net"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"

  spec.add_development_dependency "rspec"
  spec.add_development_dependency "rspec-nc"
  spec.add_development_dependency "guard"
  spec.add_development_dependency "guard-rspec"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "pry-remote"
  spec.add_development_dependency "pry-nav"
  spec.add_development_dependency "pry-rescue"
  spec.add_development_dependency "byebug"
  spec.add_development_dependency 'rspec-its'
  spec.add_development_dependency 'rspec-activemodel-mocks', '~> 1.0.1'
  spec.add_development_dependency "fuubar"

  spec.add_runtime_dependency "theoldreader", "~> 0.0.1"
  spec.add_runtime_dependency "getpocket", "~> 0.0.1"
end
